gnome-mag: Magnifier Struct Reference

# Magnifier Struct Reference

`#include <magnifier.h>`

## Data Fields
BonoboObject | parent
BonoboPropertyBag * | property_bag
GdkDisplay * | source_display
GdkDisplay * | target_display
gchar * | source_display_name
gchar * | target_display_name
int | source_screen_num
int | target_screen_num
GList * | zoom_regions
gboolean | source_initialized
gint | crosswire_size
gint | crosswire_length
guint32 | crosswire_color
gboolean | crosswire_clip
gchar * | cursor_set
gint | cursor_size_x
gint | cursor_size_y
guint32 | cursor_color
float | cursor_scale_factor
GNOME_Magnifier_RectBounds | source_bounds
GNOME_Magnifier_RectBounds | target_bounds
GNOME_Magnifier_Point | cursor_hotspot
MagnifierPrivate * | priv

## Detailed Description

Definition at line 51 of file magnifier.h.

## Field Documentation

BonoboObject Magnifier::parent

Definition at line 52 of file magnifier.h.

BonoboPropertyBag* Magnifier::property_bag

Definition at line 53 of file magnifier.h.

Referenced by impl_magnifier_get_properties(), impl_magnifier_set_source_display(), impl_magnifier_set_target_display(), and magnifier_properties_init().

GdkDisplay* Magnifier::source_display

Definition at line 54 of file magnifier.h.

Referenced by magnifier_get_display_rect_bounds(), magnifier_get_root(), magnifier_init_display(), magnifier_set_property(), magnifier_warp_cursor_to_screen(), main(), zoom_region_get_source_subwindow(), and zoom_region_pan_test().

GdkDisplay* Magnifier::target_display

Definition at line 55 of file magnifier.h.

Referenced by magnifier_get_display_rect_bounds(), magnifier_init(), magnifier_init_display(), magnifier_set_property(), and main().

gchar* Magnifier::source_display_name

Definition at line 56 of file magnifier.h.

Referenced by impl_magnifier_full_screen_capable(), impl_magnifier_get_source_display(), impl_magnifier_set_source_display(), magnifier_full_screen_capable(), magnifier_get_property(), magnifier_init(), magnifier_init_display(), and magnifier_set_property().

gchar* Magnifier::target_display_name

Definition at line 57 of file magnifier.h.

Referenced by impl_magnifier_full_screen_capable(), impl_magnifier_get_target_display(), impl_magnifier_set_target_display(), magnifier_full_screen_capable(), magnifier_get_property(), magnifier_init(), magnifier_init_display(), and magnifier_set_property().

int Magnifier::source_screen_num

Definition at line 58 of file magnifier.h.

Referenced by magnifier_get_display_rect_bounds(), magnifier_get_root(), magnifier_init(), magnifier_init_display(), magnifier_set_property(), main(), zoom_region_get_source_subwindow(), and zoom_region_pan_test().

int Magnifier::target_screen_num

Definition at line 59 of file magnifier.h.

Referenced by magnifier_get_display_rect_bounds(), magnifier_init(), magnifier_init_display(), magnifier_set_property(), and main().

GList* Magnifier::zoom_regions

Definition at line 60 of file magnifier.h.

Referenced by impl_magnifier_add_zoom_region(), impl_magnifier_clear_all_zoom_regions(), impl_magnifier_get_zoom_regions(), magnifier_do_dispose(), magnifier_init(), magnifier_zoom_regions_mark_dirty(), magnifier_zoom_regions_save(), and magnifier_zoom_regions_update_pointer().

gboolean Magnifier::source_initialized

Definition at line 61 of file magnifier.h.

Referenced by impl_magnifier_add_zoom_region(), and magnifier_set_extension_listeners().

gint Magnifier::crosswire_size

Definition at line 62 of file magnifier.h.

Referenced by magnifier_get_property(), magnifier_init(), magnifier_set_property(), zoom_region_paint_crosswire_cursor(), and zoom_region_unpaint_crosswire_cursor().

gint Magnifier::crosswire_length

Definition at line 63 of file magnifier.h.

Referenced by magnifier_get_property(), magnifier_init(), magnifier_set_property(), and zoom_region_paint_crosswire_cursor().

guint32 Magnifier::crosswire_color

Definition at line 64 of file magnifier.h.

Referenced by magnifier_get_property(), magnifier_init(), magnifier_set_property(), and zoom_region_paint_crosswire_cursor().

gboolean Magnifier::crosswire_clip

Definition at line 65 of file magnifier.h.

Referenced by magnifier_get_property(), magnifier_init(), magnifier_set_property(), and zoom_region_paint_crosswire_cursor().

gchar* Magnifier::cursor_set

Definition at line 66 of file magnifier.h.

Referenced by magnifier_get_cursor(), magnifier_get_property(), magnifier_init_cursor_set(), and magnifier_set_property().

gint Magnifier::cursor_size_x

Definition at line 67 of file magnifier.h.

Referenced by magnifier_get_property(), magnifier_init(), magnifier_set_property(), and magnifier_transform_cursor().

gint Magnifier::cursor_size_y

Definition at line 68 of file magnifier.h.

Referenced by magnifier_get_property(), magnifier_init(), magnifier_set_property(), and magnifier_transform_cursor().

guint32 Magnifier::cursor_color

Definition at line 69 of file magnifier.h.

Referenced by magnifier_get_property(), magnifier_init(), magnifier_recolor_pixbuf(), magnifier_set_property(), and magnifier_transform_cursor().

float Magnifier::cursor_scale_factor

Definition at line 70 of file magnifier.h.

Referenced by magnifier_get_property(), magnifier_init(), magnifier_set_property(), and magnifier_transform_cursor().

GNOME_Magnifier_RectBounds Magnifier::source_bounds

Definition at line 71 of file magnifier.h.

Referenced by magnifier_adjust_source_size(), magnifier_get_property(), and magnifier_set_property().

GNOME_Magnifier_RectBounds Magnifier::target_bounds

Definition at line 72 of file magnifier.h.

Referenced by magnifier_adjust_source_size(), magnifier_get_property(), magnifier_init(), magnifier_main_pan_image(), magnifier_set_property(), and zoom_region_time_frame().

GNOME_Magnifier_Point Magnifier::cursor_hotspot

Definition at line 73 of file magnifier.h.

Referenced by magnifier_get_property(), magnifier_init(), magnifier_set_cursor_from_pixbuf(), magnifier_set_property(), magnifier_transform_cursor(), zoom_region_cursor_rect(), zoom_region_paint_crosswire_cursor(), and zoom_region_paint_cursor().

MagnifierPrivate* Magnifier::priv

Definition at line 74 of file magnifier.h.

Referenced by impl_magnifier_create_zoom_region(), mag_login_helper_get_raise_windows(), magnifier_get_cursor(), magnifier_get_pixbuf_for_name(), magnifier_get_property(), magnifier_get_root(), magnifier_init(), magnifier_init_cursor_set(), magnifier_init_display(), magnifier_init_window(), magnifier_main_test_image(), magnifier_reset_struts_at_idle(), magnifier_set_cursor_from_pixbuf(), magnifier_set_property(), magnifier_transform_cursor(), magnifier_warp_cursor_to_screen(), zoom_region_get_source_subwindow(), zoom_region_paint_cursor(), zoom_region_pan_test(), zoom_region_set_viewport(), and zoom_region_update_pointer().

The documentation for this struct was generated from the following file:

- magnifier.h